﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace SummaryRowsSample
{
    public class OrderInfo : INotifyPropertyChanged
    {
        public OrderInfo()
        {
        }

        #region private variables

        private int _code;
        private string _description;
        private double _paid;
        private double _incurred;
        private double _reserves;

        #endregion

        #region Public Properties

        public int Code
        {
            get { return _code; }
            set
            {
                this._code = value;
                RaisePropertyChanged("Code");
            }
        }

        public string Description
        {
            get { return _description; }
            set
            {
                this._description = value;
                RaisePropertyChanged("Description");
            }
        }

        public double Paid
        {
            get { return _paid; }
            set
            {
                this._paid = value;
                RaisePropertyChanged("Paid");
            }
        }

        public double Incurred
        {
            get { return _incurred; }
            set
            {
                this._incurred = value;
                RaisePropertyChanged("Incurred");
            }
        }
        public double Reserves
        {
            get { return _reserves; }
            set
            {
                this._reserves = value;
                RaisePropertyChanged("Reserves");
            }
        }

        #endregion

        #region INotifyPropertyChanged implementation

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(String Name)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(Name));
        }

        #endregion
    }
}
